Magento Forum

   
magento connect manager will einfach nicht
 
miwo99
Jr. Member
 
Total Posts:  6
Joined:  2009-07-02
 

Liebe Gemeinde,
ich habe Magento 1.5.1.0 aufgesetzt. Der Shop läuft tadellos, sowohl das Frontend als auch das Backend. Leider lässt sich der Connect Manager nicht zur Mitarbeit bewegen.
Ich habe mittlerweile alle 58 Seiten im deutschen Forum durchgeforstet. Ausserdem habe ich das globale Dorum und Google um Rat gefragt. Alle dort vorgeschlagenen Lösungen brachten bei mir leider keinen Erfolg.
Jetzt hoffe ich auf eurer Fachwissen.
Die Fehlermeldung die Apache ausgibt lautet folgendermaßen:

“PHP Fatal error:  Class ‘Maged_Controller’ not found in /srv/www/htdocs/web0/html/eshop/downloader/index.php on line 36, referer: http://www.5stores.de/eshop/index.php/admin/dashboard/index/key/fe37807328d71e1e85f116abc1c4c9f9/”

Die Index.php auf die hier Bezug genommen wird hat folgenden Inhalt:

<?php
if (version_compare(phpversion(), ‘5.2.0’, ‘<’)===true) {
echo ‘<div style="font:12px/1.35em arial, helvetica, sans-serif;"><div style="margin:0 0 25px 0; border-bottom:1px solid #ccc;"><h3 style="margin:0; font-size:1.7em; font-weight:normal; text-transform:none; text-align:left; color:#2f2f2f;">Whoops, it looks like you have an invalid PHP version.</h3></div><p>Magento supports PHP 5.2.0 or newer. <a href="http://www.magentocommerce.com/install" target="">Find out</a> how to install</a> Magento using PHP-CGI as a work-around.</p></div>’;
exit;
}

require_once("lib/Mage/Autoload/Simple.php");
Mage_Autoload_Simple::register();

umask(0);
Maged_Controller::run();

Ich hoffe Ihr könnt mir helfen.

Vielen Dank im Voraus.

miwo99

 
Magento Community Magento Community
Magento Community
Magento Community
 
cmasch
Jr. Member
 
Total Posts:  5
Joined:  2011-08-03
 

Ich habe das gleiche Problem. Hast du schon eine Lösung erarbeitet?

LG
Claus

 
Magento Community Magento Community
Magento Community
Magento Community
 
MichalH
Sr. Member
 
Avatar
Total Posts:  227
Joined:  2008-04-17
Berlin
 

Steht doch im Text drin was das Problem ist:

Whoops, it looks like you have an invalid PHP version = PHP 5.2.0 or newer

Musst mal schauen was für eine PHP Version dein Hoster hat. Erstell einfach eine Datei z.B. info.php und füge folgendes ein:

<?PHP
phpinfo 
();
?>

Dann in den root Verzeichnis per FTP hochladen und aufrufen (www.deinedomain.de/info.php). Sollte dein Hoster PHP5 anbieten musst du evtl. in der .htaccess Datei folgendes hinzufügen:

AddType x-mapp-php5 .php
AddHandler x
-mapp-php5 .php

Damit bewirkst Du, dass die php Seiten als PHP5 Seiten ausgeführt werden.

Es kann aber auch sein, dass dein Hoster keine CGI-Scripte erlaubt! Welchen Hoster hast du?

 
Magento Community Magento Community
Magento Community
Magento Community
 
cmasch
Jr. Member
 
Total Posts:  5
Joined:  2011-08-03
 

Hi,

das ganze läuft auf einen V-Server.

Bei mir läuft php5

PHP Version 5.2.6-1+lenny3

Gruß
Claus

 
Magento Community Magento Community
Magento Community
Magento Community
 
cmasch
Jr. Member
 
Total Posts:  5
Joined:  2011-08-03
 

Hi,

das ganze läuft auf einem V-Server bei Alfahosting.

Bei mir läuft php5

PHP Version 5.2.6-1+lenny3

Gruß
Claus

 
Magento Community Magento Community
Magento Community
Magento Community
 
miwo99
Jr. Member
 
Total Posts:  6
Joined:  2009-07-02
 

Hallo VidGamez,
die php-Version habe ich vorher schon überprüft, da ich die Fehlermeldung auch gelesen habe. Leider habe ich die Version 5.2.9 im Einsatz.

CGI-Scripte sind auch eingerichtet.

Die .htaccess ist angepasst. Brachte aber auch keinen Erfolg.

Als Hoster habe ich einen V-Server ispOne.

Vielen Dank für die Hilfe

 
Magento Community Magento Community
Magento Community
Magento Community
 
superheld
Sr. Member
 
Total Posts:  106
Joined:  2010-05-13
 

Welche Installationsmethode habt Ihr verwendet?

 
Magento Community Magento Community
Magento Community
Magento Community
 
cmasch
Jr. Member
 
Total Posts:  5
Joined:  2011-08-03
 

Hi,

ich habe das ganze wie beschrieben über ssh (als root) installiert
#########
wget http://www.magentocommerce.com/downloads/assets/1.5.1.0/magento-1.5.1.0.tar.gz
tar -zxvf magento-1.5.1.0.tar.gz
mv magento/* magento/.htaccess .
chmod -R o+w media var
chmod o+w app/etc
#########

und dann die Installation über das Webfrontend abgeschlossen.

Gruß
C.M.

 
Magento Community Magento Community
Magento Community
Magento Community
 
superheld
Sr. Member
 
Total Posts:  106
Joined:  2010-05-13
 

Mit dem habe ich auch Probleme. Versuch mal den Downloader, bei mir klappt nun alles wunderbar!

 
Magento Community Magento Community
Magento Community
Magento Community
 
Template fans
Guru
 
Total Posts:  446
Joined:  2009-11-02
 

Ändern Sie den php5.ini

 
Magento Community Magento Community
Magento Community
Magento Community
 
cmasch
Jr. Member
 
Total Posts:  5
Joined:  2011-08-03
 

@Template fans
ja aber was soll ich denn nu ändern?

VG
CM

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top